Browse Source

Sync with portage [Thu Sep 19 21:24:29 MSK 2013].

mhiretskiy
root 8 years ago
parent
commit
072e3534a0
  1. 3
      app-arch/libzpaq/Manifest
  2. 2
      app-arch/libzpaq/files/0001-Add-autotools-files.patch
  3. 40
      app-arch/libzpaq/libzpaq-5.01.ebuild
  4. 12
      app-arch/libzpaq/libzpaq-6.41.ebuild
  5. 6
      app-arch/p7zip/p7zip-9.20.1-r4.ebuild
  6. 6
      app-arch/p7zip/p7zip-9.20.1-r5.ebuild
  7. 3
      app-arch/zpaq/Manifest
  8. 80
      app-arch/zpaq/files/zpaq-2-autotools.patch
  9. 347
      app-arch/zpaq/files/zpaq-3-autotools.patch
  10. 43
      app-arch/zpaq/zpaq-4.04.ebuild
  11. 4
      app-arch/zpaq/zpaq-6.41.ebuild
  12. 1
      app-editors/emacs/Manifest
  13. 333
      app-editors/emacs/emacs-24.3-r1.ebuild
  14. 1
      app-forensics/openscap/Manifest
  15. 1
      app-forensics/openscap/metadata.xml
  16. 122
      app-forensics/openscap/openscap-0.9.12.ebuild
  17. 6
      app-text/sary/sary-1.2.0-r1.ebuild
  18. 83
      dev-db/mysql-init-scripts/files/mysqld-prepare-db-dir
  19. 1
      dev-db/mysql-init-scripts/files/mysqld.service
  20. 1
      dev-db/mysql-init-scripts/files/mysqld_at.service
  21. 4
      dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r5.ebuild
  22. 11
      dev-java/icedtea-web/metadata.xml
  23. 2
      dev-java/java-sdk-docs/Manifest
  24. 2
      dev-java/java-sdk-docs/java-sdk-docs-1.7.0.40-r1.ebuild
  25. 4
      dev-python/PyQt4/PyQt4-4.10.3.ebuild
  26. 5
      dev-python/irc/Manifest
  27. 11
      dev-python/irc/files/irc-8-setup.py.patch
  28. 26
      dev-python/irc/files/irc-8.5.1-setup_requires.patch
  29. 13
      dev-python/irc/files/irc-setup.py.3.4.2.patch
  30. 12
      dev-python/irc/files/irc-setup.py.patch
  31. 46
      dev-python/irc/irc-8.2.ebuild
  32. 39
      dev-python/irc/irc-8.3-r1.ebuild
  33. 39
      dev-python/irc/irc-8.3.1.ebuild
  34. 46
      dev-python/irc/irc-8.3.ebuild
  35. 39
      dev-python/irc/irc-8.4.ebuild
  36. 12
      dev-python/irc/irc-8.5.1.ebuild
  37. 47
      dev-python/irc/irc-8.5.ebuild
  38. 1
      dev-python/mockldap/Manifest
  39. 44
      dev-python/mockldap/mockldap-0.1.2.ebuild
  40. 4
      dev-python/weasyprint/weasyprint-0.19.2.ebuild
  41. 10
      dev-python/xlrd/metadata.xml
  42. 5
      dev-python/xlrd/xlrd-0.9.0.ebuild
  43. 4
      dev-python/xlrd/xlrd-0.9.2.ebuild
  44. 1
      dev-ruby/yard/Manifest
  45. 36
      dev-ruby/yard/yard-0.8.7.2.ebuild
  46. 4
      dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-5.5.22.ebuild
  47. 11
      eclass/git-r3.eclass
  48. 4
      games-simulation/searchandrescue/searchandrescue-1.5.0.ebuild
  49. 4
      games-strategy/freeorion/freeorion-0.4.3.ebuild
  50. 176
      licenses/Adaptec-EULA
  51. 5
      mail-filter/opendkim/opendkim-2.8.3.ebuild
  52. 5
      mail-filter/opendkim/opendkim-2.8.4.ebuild
  53. 4
      mail-mta/courier/courier-0.70.ebuild
  54. 4
      mail-mta/courier/courier-0.71.ebuild
  55. 2
      media-gfx/cairosvg/Manifest
  56. 32
      media-gfx/cairosvg/cairosvg-0.4.3.ebuild
  57. 30
      media-gfx/cairosvg/cairosvg-1.0.ebuild
  58. 2
      metadata/dtd/timestamp.chk
  59. 2
      metadata/glsa/timestamp.chk
  60. 2
      metadata/md5-cache/app-accessibility/espeakup-9999
  61. 2
      metadata/md5-cache/app-accessibility/speakup-9999
  62. 2
      metadata/md5-cache/app-admin/ansible-9999
  63. 2
      metadata/md5-cache/app-admin/eclean-kernel-9999
  64. 2
      metadata/md5-cache/app-admin/eselect-9999
  65. 2
      metadata/md5-cache/app-admin/eselect-lib-bin-symlink-9999
  66. 2
      metadata/md5-cache/app-admin/eselect-python-99999999
  67. 2
      metadata/md5-cache/app-admin/glance-2013.1.9999
  68. 2
      metadata/md5-cache/app-admin/glance-9999
  69. 2
      metadata/md5-cache/app-admin/pass-9999
  70. 2
      metadata/md5-cache/app-admin/python-updater-9999
  71. 2
      metadata/md5-cache/app-admin/sagan-rules-99999999
  72. 2
      metadata/md5-cache/app-admin/salt-9999
  73. 2
      metadata/md5-cache/app-admin/webapp-config-9999
  74. 12
      metadata/md5-cache/app-arch/libzpaq-5.01
  75. 8
      metadata/md5-cache/app-arch/libzpaq-6.41
  76. 2
      metadata/md5-cache/app-arch/p7zip-9.20.1-r4
  77. 2
      metadata/md5-cache/app-arch/p7zip-9.20.1-r5
  78. 2
      metadata/md5-cache/app-arch/pixz-9999
  79. 2
      metadata/md5-cache/app-arch/pxz-9999
  80. 2
      metadata/md5-cache/app-arch/xz-utils-9999
  81. 13
      metadata/md5-cache/app-arch/zpaq-4.04
  82. 10
      metadata/md5-cache/app-arch/zpaq-6.41
  83. 2
      metadata/md5-cache/app-benchmarks/os-autoinst-9999
  84. 2
      metadata/md5-cache/app-cdr/mirage2iso-9999
  85. 2
      metadata/md5-cache/app-crypt/ima-evm-utils-9999
  86. 2
      metadata/md5-cache/app-doc/devmanual-9999
  87. 2
      metadata/md5-cache/app-doc/pms-9999
  88. 14
      metadata/md5-cache/app-editors/emacs-24.3-r1
  89. 2
      metadata/md5-cache/app-editors/retext-9999
  90. 2
      metadata/md5-cache/app-emacs/eselect-mode-9999
  91. 2
      metadata/md5-cache/app-emacs/twittering-mode-9999
  92. 2
      metadata/md5-cache/app-emulation/libvirt-9999
  93. 2
      metadata/md5-cache/app-emulation/qemu-9999
  94. 2
      metadata/md5-cache/app-emulation/qemu-user-9999
  95. 2
      metadata/md5-cache/app-emulation/virt-manager-9999
  96. 2
      metadata/md5-cache/app-emulation/wine-9999
  97. 14
      metadata/md5-cache/app-forensics/openscap-0.9.12
  98. 2
      metadata/md5-cache/app-i18n/kde-l10n-scripts-9999
  99. 2
      metadata/md5-cache/app-laptop/tpacpi-bat-9999
  100. 2
      metadata/md5-cache/app-leechcraft/laretz-9999

3
app-arch/libzpaq/Manifest

@ -1,3 +1,2 @@
DIST libzpaq501.zip 43716 SHA256 3ea073fd7f02a5eafe6bd4e64723f8098224484eaa2ff42f5c56508bb48cc689 SHA512 67e7301297a56eb1b75db863f5e9dc79c66c1b478b92dfbe4bdeeef0605323c78f940798faaf2828510d3f40064a19e31032ca35f32c177462b9958d7f6b7308 WHIRLPOOL 165c23488142078fda516b98518e90508484dd1963e48ba9ea53a628a4a6b362746481ce578f71211d8aedab7b976d77ed5c9707ecb8d79eae802da9c75ca146
DIST zpaq610.zip 266105 SHA256 886caae1779b67e8daa1a3aa7b2dc744da297a5e6d160755ccf3dddb55409f83 SHA512 ff1337877d5393b099392582820cb493d5e695c52070cfd6ce6b1967326bc0c3985e5ac6872959f69ec9c3945ed365570711b4e590f7f437bc1a30e46a61f01f WHIRLPOOL c10a7d98eb694c540832f7c209668d07e40c7e752932d30ed21ab955c13d9a39e557daad928c3faf5b2098654bfc5bffd1a5ab74537dc16a88f9fbbdf1ce38c8
DIST zpaq638.zip 568402 SHA256 83d6a0a018e8edbac721517225475c06f0e7d88e6a1a69abe3b58e687eb6e13b SHA512 a2c038c6f9861f74c18cbdbf81ed94a18cc4b4440a931e3355abb5a14a906e91ff38f0c1be771b4b43a0442985d7d85779dfe1efed3d57b8155646f379204441 WHIRLPOOL 1d1a8aa7e590f81771ffcee58b12fe253802528e7decaa3442a6448270ef3cf32f1233757e17eee58d3b37a0df9b0c8def9460541ac4ac97e559345a0ca29046
DIST zpaq641.zip 576673 SHA256 0d90a6be9a70c9c2b337116da4044385821c3b7bbd1988bff8d21171e5daf86c SHA512 48ee840496ee3b61b33117a7a421903635b515040c1a4414c83be66ae6da2516e26511fb3a09ecd1448a84f6b1e7f6df5069af6806d53361110a11590270e7eb WHIRLPOOL a27c3a06854face7e6a6558863e351700601459b354904d61733e75d3719a047a041fff3b315954801ca610355facdf1242b232edfd630d25bef94a321179e6e

2
app-arch/libzpaq/files/0001-Add-autotools-files.patch

@ -27,7 +27,7 @@ index 0000000..b6dd881
+ $(POD2MAN) $< > $@
+endif
+
+libzpaq_la_SOURCES = libzpaq.cpp libzpaqo.cpp libzpaq.h
+libzpaq_la_SOURCES = libzpaq.cpp libzpaq.h
+libzpaq_la_LDFLAGS = -version-info @ABI_VERSION@
+
+MOSTLYCLEANFILES = libzpaq.3

40
app-arch/libzpaq/libzpaq-5.01.ebuild

@ -1,40 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/libzpaq/libzpaq-5.01.ebuild,v 1.3 2012/05/24 04:33:22 vapier Exp $
EAPI=3
AUTOTOOLS_AUTORECONF=1
inherit autotools-utils flag-o-matic eutils
MY_P=${PN}${PV/./}
DESCRIPTION="Library to compress files or objects in the ZPAQ format"
HOMEPAGE="http://mattmahoney.net/dc/zpaq.html"
SRC_URI="http://mattmahoney.net/dc/${MY_P}.zip"
LICENSE="zpaq"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+jit static-libs"
DEPEND="app-arch/unzip"
RDEPEND=""
S=${WORKDIR}
src_prepare() {
EPATCH_OPTS+=-p1 epatch "${FILESDIR}"/0001-Add-autotools-files.patch
# XXX: update the patch instead when the old version is gone
touch libzpaqo.cpp || die
autotools-utils_src_prepare
}
src_configure() {
local myeconfargs=(
--with-library-version=2:0:0
)
use jit || append-flags -DNOJIT
autotools-utils_src_configure
}

12
app-arch/libzpaq/libzpaq-6.10.ebuild → app-arch/libzpaq/libzpaq-6.41.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/libzpaq/libzpaq-6.10.ebuild,v 1.1 2012/10/14 07:42:17 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/libzpaq/libzpaq-6.41.ebuild,v 1.1 2013/09/19 09:04:01 mgorny Exp $
EAPI=4
EAPI=5
AUTOTOOLS_AUTORECONF=1
inherit autotools-utils flag-o-matic eutils
@ -13,7 +13,7 @@ HOMEPAGE="http://mattmahoney.net/dc/zpaq.html"
SRC_URI="http://mattmahoney.net/dc/${MY_P}.zip"
LICENSE="zpaq"
SLOT="0"
SLOT="0/4"
KEYWORDS="~amd64 ~x86"
IUSE="debug +jit static-libs"
@ -24,14 +24,12 @@ S=${WORKDIR}
src_prepare() {
EPATCH_OPTS+=-p1 epatch "${FILESDIR}"/0001-Add-autotools-files.patch
# XXX: update the patch instead when the old version is gone
touch libzpaqo.cpp || die
autotools-utils_src_prepare
}
src_configure() {
local myeconfargs=(
--with-library-version=3:0:0
--with-library-version=${SLOT#*/}:0:0
# man-page is no longer there
ac_cv_prog_POD2MAN=
)

6
app-arch/p7zip/p7zip-9.20.1-r4.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/p7zip/p7zip-9.20.1-r4.ebuild,v 1.3 2013/08/04 12:09:02 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/p7zip/p7zip-9.20.1-r4.ebuild,v 1.4 2013/09/19 13:27:35 jlec Exp $
EAPI=4
@ -116,8 +116,8 @@ src_install() {
make_wrapper 7zG "/usr/$(get_libdir)/${PN}/7zG"
make_wrapper 7zFM "/usr/$(get_libdir)/${PN}/7zFM"
make_desktop_entry 7zFM "${PN} FM" ${PN}.png "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zG "${PN} GUI" ${PN}.png "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zFM "${PN} FM" ${PN} "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zG "${PN} GUI" ${PN} "GTK;Utility;Archiving;Compression"
dobin GUI/p7zipForFilemanager
exeinto /usr/$(get_libdir)/${PN}

6
app-arch/p7zip/p7zip-9.20.1-r5.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/p7zip/p7zip-9.20.1-r5.ebuild,v 1.1 2013/09/18 13:27:55 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/p7zip/p7zip-9.20.1-r5.ebuild,v 1.2 2013/09/19 13:27:35 jlec Exp $
EAPI=5
@ -117,8 +117,8 @@ src_install() {
make_wrapper 7zG "/usr/$(get_libdir)/${PN}/7zG"
make_wrapper 7zFM "/usr/$(get_libdir)/${PN}/7zFM"
make_desktop_entry 7zFM "${PN} FM" ${PN}.png "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zG "${PN} GUI" ${PN}.png "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zFM "${PN} FM" ${PN} "GTK;Utility;Archiving;Compression"
make_desktop_entry 7zG "${PN} GUI" ${PN} "GTK;Utility;Archiving;Compression"
dobin GUI/p7zipForFilemanager
exeinto /usr/$(get_libdir)/${PN}

3
app-arch/zpaq/Manifest

@ -1,3 +1,2 @@
DIST zpaq404.zip 45770 SHA256 ce946b8a9cb92c5656a20ff83a3a0ef88e23b374a58e33c295ef00b1843dfe30 SHA512 b624eeb358550a77979813ad950c940ff9de91636292eaa3b6e034a58474882615c7e8d154e7efd1dbb6ad77e20709d271ddb95897e294281a53d16ce0f26432 WHIRLPOOL b925fde2b55d4ba1006dac86a46abbda7c5ff18f154bec84d4400889ceec1cc9bf23e17490c5a9f6b5fb4088695bb76ffa06ee7b66063317b1682b0659179aee
DIST zpaq610.zip 266105 SHA256 886caae1779b67e8daa1a3aa7b2dc744da297a5e6d160755ccf3dddb55409f83 SHA512 ff1337877d5393b099392582820cb493d5e695c52070cfd6ce6b1967326bc0c3985e5ac6872959f69ec9c3945ed365570711b4e590f7f437bc1a30e46a61f01f WHIRLPOOL c10a7d98eb694c540832f7c209668d07e40c7e752932d30ed21ab955c13d9a39e557daad928c3faf5b2098654bfc5bffd1a5ab74537dc16a88f9fbbdf1ce38c8
DIST zpaq638.zip 568402 SHA256 83d6a0a018e8edbac721517225475c06f0e7d88e6a1a69abe3b58e687eb6e13b SHA512 a2c038c6f9861f74c18cbdbf81ed94a18cc4b4440a931e3355abb5a14a906e91ff38f0c1be771b4b43a0442985d7d85779dfe1efed3d57b8155646f379204441 WHIRLPOOL 1d1a8aa7e590f81771ffcee58b12fe253802528e7decaa3442a6448270ef3cf32f1233757e17eee58d3b37a0df9b0c8def9460541ac4ac97e559345a0ca29046
DIST zpaq641.zip 576673 SHA256 0d90a6be9a70c9c2b337116da4044385821c3b7bbd1988bff8d21171e5daf86c SHA512 48ee840496ee3b61b33117a7a421903635b515040c1a4414c83be66ae6da2516e26511fb3a09ecd1448a84f6b1e7f6df5069af6806d53361110a11590270e7eb WHIRLPOOL a27c3a06854face7e6a6558863e351700601459b354904d61733e75d3719a047a041fff3b315954801ca610355facdf1242b232edfd630d25bef94a321179e6e

80
app-arch/zpaq/files/zpaq-2-autotools.patch

@ -1,80 +0,0 @@
From 0c5836166c1d856eb7f20b9cfc3b6f646b1bf587 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Tue, 4 Jan 2011 21:04:53 +0100
Subject: [PATCH] Add autotools files.
---
Makefile.am | 18 ++++++++++++++++++
configure.ac | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+), 0 deletions(-)
create mode 100644 Makefile.am
create mode 100644 configure.ac
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..51275c3
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,18 @@
+bin_PROGRAMS = zpaq
+lib_LIBRARIES = libzpaqstub.a
+
+if HAVE_POD2MAN
+man1_MANS = zpaq.1
+
+zpaq.1: zpaq.1.pod
+ $(POD2MAN) $< > $@
+endif
+
+libzpaqstub_a_SOURCES = zpaq.cpp
+
+zpaq_SOURCES = zpaq.cpp libzpaq.h
+zpaq_CPPFLAGS = $(AM_CPPFLAGS) -DOPT='"$(CXX) $(CXXFLAGS) zpaqopt.cpp $(LDFLAGS) @RUNTIME_LDFLAGS@ -o zpaqopt.exe $(LIBS) -lzpaqstub"'
+zpaq_LDADD = -lzpaq
+
+MOSTLYCLEANFILES = zpaq.1
+EXTRA_DIST = zpaq.1.pod
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..24dddc6
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,35 @@
+AC_PREREQ([2.60])
+AC_INIT([zpaq], [na])
+AC_CONFIG_AUX_DIR([build-aux])
+AM_INIT_AUTOMAKE([1.6 foreign no-dependencies])
+
+AC_LANG([C++])
+AC_PROG_CXX
+AC_PROG_RANLIB
+
+runtime_LDFLAGS='-Wl,--strip-all'
+AC_MSG_CHECKING([whether the linker supports $runtime_LDFLAGS])
+save_LDFLAGS=$LDFLAGS
+LDFLAGS="$LDFLAGS $runtime_LDFLAGS"
+AC_LINK_IFELSE(
+ [AC_LANG_PROGRAM([], [])],
+ [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no])
+runtime_LDFLAGS=])
+LDFLAGS=$save_LDFLAGS
+AC_SUBST([RUNTIME_LDFLAGS], [$runtime_LDFLAGS])
+
+AC_CHECK_PROG([POD2MAN], [pod2man], [pod2man])
+AM_CONDITIONAL([HAVE_POD2MAN], [test x"$POD2MAN" != x""])
+AS_IF([test "x$POD2MAN" = x], [
+ AC_MSG_WARN([Unable to find pod2man, manpage will not be generated])
+])
+
+AC_ARG_ENABLE([debug],
+ [AS_HELP_STRING([--enable-debug],
+ [Enable debug])])
+AS_IF([test x"$enable_debug" != x"yes"], [
+ AC_DEFINE([NDEBUG], [1], [Set this to disable debug])
+])
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
--
1.7.6.1

347
app-arch/zpaq/files/zpaq-3-autotools.patch

@ -1,347 +0,0 @@
From cb14b21eb30e3c78eb475aabab97a89d3d428d91 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Tue, 4 Jan 2011 21:04:53 +0100
Subject: [PATCH] Add autotools files.
---
Makefile.am | 28 ++++++
configure.ac | 38 +++++++++
m4/ax_pthread.m4 | 246 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
3 files changed, 312 insertions(+), 0 deletions(-)
create mode 100644 Makefile.am
create mode 100644 configure.ac
create mode 100644 m4/ax_pthread.m4
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..d005d5e
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,28 @@
+bin_PROGRAMS = zpaq
+bin_SCRIPTS = zpaqopt
+lib_LIBRARIES = libzpaqstub.a
+
+ACLOCAL_AMFLAGS = -I m4
+
+if HAVE_POD2MAN
+man1_MANS = zpaq.1
+
+zpaq.1: zpaq.1.pod
+ $(POD2MAN) $< > $@
+endif
+
+libzpaqstub_a_SOURCES = zpaq.cpp
+libzpaqstub_a_CPPFLAGS = -DOPT
+
+zpaq_SOURCES = zpaq.cpp divsufsort.c divsufsort.h
+zpaq_CFLAGS = $(OPENMP_CXXFLAGS)
+zpaq_CXXFLAGS = $(OPENMP_CXXFLAGS) $(PTHREAD_CFLAGS)
+zpaq_LDADD = -lzpaq $(PTHREAD_LIBS)
+
+zpaqopt:
+ echo '$(CXX) $(CXXFLAGS) $(PTHREAD_CFLAGS) $$1.cpp $(LDFLAGS) @RUNTIME_LDFLAGS@ -o $$1.exe $(LIBS) $(zpaq_LDADD) -lzpaqstub' > $@
+
+.PHONY: zpaqopt
+
+MOSTLYCLEANFILES = zpaq.1 zpaqopt
+EXTRA_DIST = zpaq.1.pod
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..b7ad2b7
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,38 @@
+AC_PREREQ([2.60])
+AC_INIT([zpaq], [na])
+AC_CONFIG_AUX_DIR([build-aux])
+AM_INIT_AUTOMAKE([1.6 foreign no-dependencies])
+
+AC_LANG([C++])
+AC_PROG_CC
+AC_PROG_CXX
+AC_PROG_RANLIB
+AC_OPENMP
+ACX_PTHREAD
+
+runtime_LDFLAGS='-Wl,--strip-all'
+AC_MSG_CHECKING([whether the linker supports $runtime_LDFLAGS])
+save_LDFLAGS=$LDFLAGS
+LDFLAGS="$LDFLAGS $runtime_LDFLAGS"
+AC_LINK_IFELSE(
+ [AC_LANG_PROGRAM([], [])],
+ [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no])
+runtime_LDFLAGS=])
+LDFLAGS=$save_LDFLAGS
+AC_SUBST([RUNTIME_LDFLAGS], [$runtime_LDFLAGS])
+
+AC_CHECK_PROG([POD2MAN], [pod2man], [pod2man])
+AM_CONDITIONAL([HAVE_POD2MAN], [test x"$POD2MAN" != x""])
+AS_IF([test "x$POD2MAN" = x], [
+ AC_MSG_WARN([Unable to find pod2man, manpage will not be generated])
+])
+
+AC_ARG_ENABLE([debug],
+ [AS_HELP_STRING([--enable-debug],
+ [Enable debug])])
+AS_IF([test x"$enable_debug" != x"yes"], [
+ AC_DEFINE([NDEBUG], [1], [Set this to disable debug])
+])
+
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
diff --git a/m4/ax_pthread.m4 b/m4/ax_pthread.m4
new file mode 100644
index 0000000..3d0806d
--- /dev/null
+++ b/m4/ax_pthread.m4
@@ -0,0 +1,246 @@
+# note: dropped PTHREAD_CC, joinable and stuff
+
+# ===========================================================================
+# http://www.gnu.org/software/autoconf-archive/ax_pthread.html
+# ===========================================================================
+#
+# SYNOPSIS
+#
+# AX_PTHREAD([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])
+#
+# DESCRIPTION
+#
+# This macro figures out how to build C programs using POSIX threads. It
+# sets the PTHREAD_LIBS output variable to the threads library and linker
+# flags, and the PTHREAD_CFLAGS output variable to any special C compiler
+# flags that are needed. (The user can also force certain compiler
+# flags/libs to be tested by setting these environment variables.)
+#
+# Also sets PTHREAD_CC to any special C compiler that is needed for
+# multi-threaded programs (defaults to the value of CC otherwise). (This
+# is necessary on AIX to use the special cc_r compiler alias.)
+#
+# NOTE: You are assumed to not only compile your program with these flags,
+# but also link it with them as well. e.g. you should link with
+# $PTHREAD_CC $CFLAGS $PTHREAD_CFLAGS $LDFLAGS ... $PTHREAD_LIBS $LIBS
+#
+# If you are only building threads programs, you may wish to use these
+# variables in your default LIBS, CFLAGS, and CC:
+#
+# LIBS="$PTHREAD_LIBS $LIBS"
+# CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
+# CC="$PTHREAD_CC"
+#
+# In addition, if the PTHREAD_CREATE_JOINABLE thread-attribute constant
+# has a nonstandard name, defines PTHREAD_CREATE_JOINABLE to that name
+# (e.g. PTHREAD_CREATE_UNDETACHED on AIX).
+#
+# Also HAVE_PTHREAD_PRIO_INHERIT is defined if pthread is found and the
+# PTHREAD_PRIO_INHERIT symbol is defined when compiling with
+# PTHREAD_CFLAGS.
+#
+# ACTION-IF-FOUND is a list of shell commands to run if a threads library
+# is found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it
+# is not found. If ACTION-IF-FOUND is not specified, the default action
+# will define HAVE_PTHREAD.
+#
+# Please let the authors know if this macro fails on any platform, or if
+# you have any other suggestions or comments. This macro was based on work
+# by SGJ on autoconf scripts for FFTW (http://www.fftw.org/) (with help
+# from M. Frigo), as well as ac_pthread and hb_pthread macros posted by
+# Alejandro Forero Cuervo to the autoconf macro repository. We are also
+# grateful for the helpful feedback of numerous users.
+#
+# Updated for Autoconf 2.68 by Daniel Richard G.
+#
+# LICENSE
+#
+# Copyright (c) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
+# Copyright (c) 2011 Daniel Richard G. <skunk@iSKUNK.ORG>
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation, either version 3 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# As a special exception, the respective Autoconf Macro's copyright owner
+# gives unlimited permission to copy, distribute and modify the configure
+# scripts that are the output of Autoconf when processing the Macro. You
+# need not follow the terms of the GNU General Public License when using
+# or distributing such scripts, even though portions of the text of the
+# Macro appear in them. The GNU General Public License (GPL) does govern
+# all other use of the material that constitutes the Autoconf Macro.
+#
+# This special exception to the GPL applies to versions of the Autoconf
+# Macro released by the Autoconf Archive. When you make and distribute a
+# modified version of the Autoconf Macro, you may extend this special
+# exception to the GPL to apply to your modified version as well.
+
+#serial 16
+
+AU_ALIAS([ACX_PTHREAD], [AX_PTHREAD])
+AC_DEFUN([AX_PTHREAD], [
+AC_REQUIRE([AC_CANONICAL_HOST])
+AC_LANG_PUSH([C])
+ax_pthread_ok=no
+
+# We used to check for pthread.h first, but this fails if pthread.h
+# requires special compiler flags (e.g. on True64 or Sequent).
+# It gets checked for in the link test anyway.
+
+# First of all, check if the user has set any of the PTHREAD_LIBS,
+# etcetera environment variables, and if threads linking works using
+# them:
+if test x"$PTHREAD_LIBS$PTHREAD_CFLAGS" != x; then
+ save_CFLAGS="$CFLAGS"
+ CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
+ save_LIBS="$LIBS"
+ LIBS="$PTHREAD_LIBS $LIBS"
+ AC_MSG_CHECKING([for pthread_join in LIBS=$PTHREAD_LIBS with CFLAGS=$PTHREAD_CFLAGS])
+ AC_TRY_LINK_FUNC(pthread_join, ax_pthread_ok=yes)
+ AC_MSG_RESULT($ax_pthread_ok)
+ if test x"$ax_pthread_ok" = xno; then
+ PTHREAD_LIBS=""
+ PTHREAD_CFLAGS=""
+ fi
+ LIBS="$save_LIBS"
+ CFLAGS="$save_CFLAGS"
+fi
+
+# We must check for the threads library under a number of different
+# names; the ordering is very important because some systems
+# (e.g. DEC) have both -lpthread and -lpthreads, where one of the
+# libraries is broken (non-POSIX).
+
+# Create a list of thread flags to try. Items starting with a "-" are
+# C compiler flags, and other items are library names, except for "none"
+# which indicates that we try without any flags at all, and "pthread-config"
+# which is a program returning the flags for the Pth emulation library.
+
+ax_pthread_flags="pthreads none -Kthread -kthread lthread -pthread -pthreads -mthreads pthread --thread-safe -mt pthread-config"
+
+# The ordering *is* (sometimes) important. Some notes on the
+# individual items follow:
+
+# pthreads: AIX (must check this before -lpthread)
+# none: in case threads are in libc; should be tried before -Kthread and
+# other compiler flags to prevent continual compiler warnings
+# -Kthread: Sequent (threads in libc, but -Kthread needed for pthread.h)
+# -kthread: FreeBSD kernel threads (preferred to -pthread since SMP-able)
+# lthread: LinuxThreads port on FreeBSD (also preferred to -pthread)
+# -pthread: Linux/gcc (kernel threads), BSD/gcc (userland threads)
+# -pthreads: Solaris/gcc
+# -mthreads: Mingw32/gcc, Lynx/gcc
+# -mt: Sun Workshop C (may only link SunOS threads [-lthread], but it
+# doesn't hurt to check since this sometimes defines pthreads too;
+# also defines -D_REENTRANT)
+# ... -mt is also the pthreads flag for HP/aCC
+# pthread: Linux, etcetera
+# --thread-safe: KAI C++
+# pthread-config: use pthread-config program (for GNU Pth library)
+
+case "${host_cpu}-${host_os}" in
+ *solaris*)
+
+ # On Solaris (at least, for some versions), libc contains stubbed
+ # (non-functional) versions of the pthreads routines, so link-based
+ # tests will erroneously succeed. (We need to link with -pthreads/-mt/
+ # -lpthread.) (The stubs are missing pthread_cleanup_push, or rather
+ # a function called by this macro, so we could check for that, but
+ # who knows whether they'll stub that too in a future libc.) So,
+ # we'll just look for -pthreads and -lpthread first:
+
+ ax_pthread_flags="-pthreads pthread -mt -pthread $ax_pthread_flags"
+ ;;
+
+ *-darwin*)
+ ax_pthread_flags="-pthread $ax_pthread_flags"
+ ;;
+esac
+
+if test x"$ax_pthread_ok" = xno; then
+for flag in $ax_pthread_flags; do
+
+ case $flag in
+ none)
+ AC_MSG_CHECKING([whether pthreads work without any flags])
+ ;;
+
+ -*)
+ AC_MSG_CHECKING([whether pthreads work with $flag])
+ PTHREAD_CFLAGS="$flag"
+ ;;
+
+ pthread-config)
+ AC_CHECK_PROG(ax_pthread_config, pthread-config, yes, no)
+ if test x"$ax_pthread_config" = xno; then continue; fi
+ PTHREAD_CFLAGS="`pthread-config --cflags`"
+ PTHREAD_LIBS="`pthread-config --ldflags` `pthread-config --libs`"
+ ;;
+
+ *)
+ AC_MSG_CHECKING([for the pthreads library -l$flag])
+ PTHREAD_LIBS="-l$flag"
+ ;;
+ esac
+
+ save_LIBS="$LIBS"
+ save_CFLAGS="$CFLAGS"
+ LIBS="$PTHREAD_LIBS $LIBS"
+ CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
+
+ # Check for various functions. We must include pthread.h,
+ # since some functions may be macros. (On the Sequent, we
+ # need a special flag -Kthread to make this header compile.)
+ # We check for pthread_join because it is in -lpthread on IRIX
+ # while pthread_create is in libc. We check for pthread_attr_init
+ # due to DEC craziness with -lpthreads. We check for
+ # pthread_cleanup_push because it is one of the few pthread
+ # functions on Solaris that doesn't have a non-functional libc stub.
+ # We try pthread_create on general principles.
+ AC_LINK_IFELSE([AC_LANG_PROGRAM([#include <pthread.h>
+ static void routine(void *a) { a = 0; }
+ static void *start_routine(void *a) { return a; }],
+ [pthread_t th; pthread_attr_t attr;
+ pthread_create(&th, 0, start_routine, 0);
+ pthread_join(th, 0);
+ pthread_attr_init(&attr);
+ pthread_cleanup_push(routine, 0);
+ pthread_cleanup_pop(0) /* ; */])],
+ [ax_pthread_ok=yes],
+ [])
+
+ LIBS="$save_LIBS"
+ CFLAGS="$save_CFLAGS"
+
+ AC_MSG_RESULT($ax_pthread_ok)
+ if test "x$ax_pthread_ok" = xyes; then
+ break;
+ fi
+
+ PTHREAD_LIBS=""
+ PTHREAD_CFLAGS=""
+done
+fi
+
+AC_SUBST(PTHREAD_LIBS)
+AC_SUBST(PTHREAD_CFLAGS)
+
+# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
+if test x"$ax_pthread_ok" = xyes; then
+ ifelse([$1],,AC_DEFINE(HAVE_PTHREAD,1,[Define if you have POSIX threads libraries and header files.]),[$1])
+ :
+else
+ ax_pthread_ok=no
+ $2
+fi
+AC_LANG_POP
+])dnl AX_PTHREAD
--
1.7.6.1

43
app-arch/zpaq/zpaq-4.04.ebuild

@ -1,43 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/zpaq/zpaq-4.04.ebuild,v 1.3 2012/05/24 04:35:17 vapier Exp $
EAPI=3
AUTOTOOLS_AUTORECONF=1
inherit autotools-utils eutils
MY_P=${PN}${PV/./}
DESCRIPTION="A unified compressor for PAQ algorithms"
HOMEPAGE="http://mattmahoney.net/dc/zpaq.html"
SRC_URI="http://mattmahoney.net/dc/${MY_P}.zip"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug"
RDEPEND="=app-arch/libzpaq-5*
dev-libs/libdivsufsort"
DEPEND="${RDEPEND}
app-arch/unzip"
S=${WORKDIR}
src_prepare() {
EPATCH_OPTS+=-p1 epatch "${FILESDIR}"/${PN}-${PV%.*}-autotools.patch
autotools-utils_src_prepare
}
src_configure() {
local myeconfargs=(
$(use_enable debug)
)
autotools-utils_src_configure
}
pkg_postinst() {
elog "You may also want to install app-arch/zpaq-extras package which provides"
elog "few additional configs and preprocessors for use with zpaq."
}

4
app-arch/zpaq/zpaq-6.10.ebuild → app-arch/zpaq/zpaq-6.41.ebuild

@ -1,8 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/zpaq/zpaq-6.10.ebuild,v 1.2 2013/07/20 14:22:19 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/zpaq/zpaq-6.41.ebuild,v 1.1 2013/09/19 09:04:02 mgorny Exp $
EAPI=3
EAPI=5
AUTOTOOLS_AUTORECONF=1
inherit autotools-utils eutils

1
app-editors/emacs/Manifest

@ -9,7 +9,6 @@ DIST emacs-23.4-patches-8.tar.bz2 4742 SHA256 ec48d5186aa31240d5740a02949f5ac536
DIST emacs-23.4.tar.bz2 38646508 SHA256 26576f9e664397c729f78f5ffcd092969251988461896fe8793062346ee988b9 SHA512 def7a95ecaefae24d8102b96b1d575a23def1b11a8f0bb17b68f7913bd118e2ea4449a8feee76c1bd649f099b70419f0d494ddd9bb32b26f92720cda842b0296 WHIRLPOOL 2384c3f63ff153c3975e373334d6021d46b23ad3cab448ed2e1180501236453a61d13bf1dfbb2e6075bb141dd8511d85f77e37c763b39769f98de48eacc56f3b
DIST emacs-24.2-patches-3.tar.xz 3884 SHA256 cf2de3291f8dd09c8073300e2395182d51761055c67818a390cd7b052e764f44 SHA512 c424580bc9b93af3b99e5fcf0189a711314857019594ea90c42317f72cedf552bb3af93ce8394dd4af888d98395ff09a372535b7b58b98b8831adf165919e561 WHIRLPOOL 2eeb7a6b441626584ae2b9fd9eba231ef8b87e7ce017f703f8fe23b2cf2cb8e251dfb041c7affe73484d20916ea3fa341b583b23ffdf59948f66121a2613f63b
DIST emacs-24.2.tar.xz 34712012 SHA256 1f11b65520611d108eceea886cc1d2573704e18b19aded8a09b75fdea7eb0ddd SHA512 7627d985e9691dd5b5f2a14472592bc1da96ce90823ff50457bb5c20b6e746912b319befff5fb1dac024e1f150df6b7c687ee2cc785f5b7387885244f511bdbd WHIRLPOOL 37a2f8e45a7b3364728f9f99b0661a60355b93f19d745de505dc71b9d8a2ab4de6b4b75a104830da2bcc8d1b3d22539e5f52c85d2f104d8de0dcd0dd69dc9924
DIST emacs-24.3-patches-1.tar.xz 1032 SHA256 6c783653ad86df30b36c7b5642d81e69403d8a18f3554bec2cd777ab3b91888e SHA512 2ec32c02d8db1c0fb6843367714375500e2e21059d9460617094c3a08febaca6ec2d7d8b1f98462500f9beb77b302d7ca34588d3e7109965af0855f5aa304797 WHIRLPOOL 98f66e3f37ff51706b411f045256caa8f15854dcdcd968f3a454f5b858784e40693b57b9251b9876fa5f9aeed44af7264c8cdfe92744b9e79b6e78e1c8aafef3
DIST emacs-24.3-patches-3.tar.xz 2108 SHA256 225e49dea51f913abf0f98800451a2c61acf52a4abdd72ddb63634d2d2795b08 SHA512 2d1ff6cbc799658e520a56c87a9ea7d40bf233698130fd65e4142fb9a0d2a71492e1af76501ed08d1bd014db41331ecabe443400cb84b09a395ad7362a207d50 WHIRLPOOL 11946a808bd8bd830f9f31dcc1cadb7282fe901855f8a65425524878ab9299b42ff9938a822ec2cb531bc885ec10e36b0e59fb6d388ef3330a77332bbf03c7fc
DIST emacs-24.3.tar.xz 35565352 SHA256 70aa2942e9ae689ed17eddedfca5027c364ffbcc8b59968b1645e935f4c7058d SHA512 a1300fa10a9fba2db9735db3d01382bcda89ceec033976c4622796dfdf6d2748ed5fa73edf229182b368190c8acbf706810dd5f344542d2c0d294154bc2d0ca9 WHIRLPOOL 687ad4c7d69b41884bf28269bdea1808e03cdcec5a5218d0bac23c07cca3ced341ef98b4d5892149e2dbe899774a5e60edde9931d6c0fe41687995f530fb61d8
DIST leim-21.4.tar.gz 3291433 SHA256 db24946985dd644bfed18815d6e991dad27f8ab1fd5823dd6dc4eb8dcd04333b SHA512 c361996f7a3fcc550e7af30a7df3f692071ded2c9dce998e72f537b0e8011f319cfae1742d0be463608a86852046cba23037a29c3ecdcbaf5976807e1d1a1e2c WHIRLPOOL d7f25d5d491f323b80609567ce5cbcb5f20109cdd4671e9972c79279a3ca5338bbf67d35ae8f0bc627bc06917f545d71ab1f66a09c647f47ddaea26772bfc5c1

333
app-editors/emacs/emacs-24.3-r1.ebuild

@ -1,333 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/emacs/emacs-24.3-r1.ebuild,v 1.16 2013/08/02 16:32:56 ulm Exp $
EAPI=5
inherit autotools elisp-common eutils flag-o-matic multilib readme.gentoo
DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
HOMEPAGE="http://www.gnu.org/software/emacs/"
SRC_URI="mirror://gnu/emacs/${P}.tar.xz
mirror://gentoo/${P}-patches-1.tar.xz"
LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
SLOT="24"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
IUSE="alsa aqua athena dbus games gconf gif gnutls gpm gsettings gtk +gtk3 gzip-el hesiod imagemagick jpeg kerberos libxml2 livecd m17n-lib motif pax_kernel png selinux sound source svg tiff toolkit-scroll-bars wide-int X Xaw3d xft +xpm"
REQUIRED_USE="?? ( aqua X )"
RDEPEND="sys-libs/ncurses
>=app-admin/eselect-emacs-1.2
>=app-emacs/emacs-common-gentoo-1.3-r3[games?,X?]
net-libs/liblockfile
hesiod? ( net-dns/hesiod )
kerberos? ( virtual/krb5 )
alsa? ( media-libs/alsa-lib )
gpm? ( sys-libs/gpm )
dbus? ( sys-apps/dbus )
gnutls? ( net-libs/gnutls )
libxml2? ( >=dev-libs/libxml2-2.2.0 )
selinux? ( sys-libs/libselinux )
X? (
x11-libs/libXmu
x11-libs/libXt
x11-misc/xbitmaps
gconf? ( >=gnome-base/gconf-2.26.2 )
gsettings? ( >=dev-libs/glib-2.28.6 )
gif? ( media-libs/giflib )
jpeg? ( virtual/jpeg:0= )
png? ( >=media-libs/libpng-1.4:0= )
svg? ( >=gnome-base/librsvg-2.0 )
tiff? ( media-libs/tiff )
xpm? ( x11-libs/libXpm )
imagemagick? ( >=media-gfx/imagemagick-6.6.2 )
xft? (
media-libs/fontconfig
media-libs/freetype
x11-libs/libXft
m17n-lib? (
>=dev-libs/libotf-0.9.4
>=dev-libs/m17n-lib-1.5.1
)
)
gtk? (
gtk3? ( x11-libs/gtk+:3 )
!gtk3? ( x11-libs/gtk+:2 )
)
!gtk? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
Xaw3d? ( x11-libs/libXaw3d )
!Xaw3d? ( athena? ( x11-libs/libXaw ) )
)
)
)"
DEPEND="${RDEPEND}
app-arch/xz-utils
alsa? ( virtual/pkgconfig )
dbus? ( virtual/pkgconfig )
gnutls? ( virtual/pkgconfig )
libxml2? ( virtual/pkgconfig )
X? ( virtual/pkgconfig )
gzip-el? ( app-arch/gzip )
pax_kernel? ( sys-apps/paxctl )"
RDEPEND="${RDEPEND}
!<app-editors/emacs-vcs-${PV}"
EMACS_SUFFIX="${PN/emacs/emacs-${SLOT}}"
SITEFILE="20${PN}-${SLOT}-gentoo.el"
# FULL_VERSION keeps the full version number, which is needed in
# order to determine some path information correctly for copy/move
# operations later on
FULL_VERSION="${PV%%_*}"
S="${WORKDIR}/emacs-${FULL_VERSION}"
src_prepare() {
EPATCH_SUFFIX=patch epatch
epatch_user
if ! use alsa; then
# ALSA is detected even if not requested by its USE flag.
# Suppress it by supplying pkg-config with a wrong library name.
sed -i -e "/ALSA_MODULES=/s/alsa/DiSaBlEaLsA/" configure.ac \
|| die "unable to sed configure.ac"
fi
if ! use gzip-el; then
# Emacs' build system automatically detects the gzip binary and
# compresses el files. We don't want that so confuse it with a
# wrong binary name
sed -i -e "/AC_PATH_PROG/s/gzip/PrEvEnTcOmPrEsSiOn/" configure.ac \
|| die "unable to sed configure.ac"
fi
AT_M4DIR=m4 eautoreconf
}
src_configure() {
strip-flags
if use sh; then
replace-flags "-O[1-9]" -O0 #262359
elif use ia64; then
replace-flags "-O[2-9]" -O1 #325373
else
replace-flags "-O[3-9]" -O2
fi
local myconf
if use alsa && ! use sound; then
einfo "Although sound USE flag is disabled you chose to have alsa,"
einfo "so sound is switched on anyway."
myconf+=" --with-sound"
else
myconf+=" $(use_with sound)"
fi
if use X; then
myconf+=" --with-x --without-ns"
myconf+=" $(use_with gconf)"
myconf+=" $(use_with gsettings)"
myconf+=" $(use_with toolkit-scroll-bars)"
myconf+=" $(use_with gif)"
myconf+=" $(use_with jpeg)"
myconf+=" $(use_with png)"
myconf+=" $(use_with svg rsvg)"
myconf+=" $(use_with tiff)"
myconf+=" $(use_with xpm)"
myconf+=" $(use_with imagemagick)"
if use xft; then
myconf+=" --with-xft"
myconf+=" $(use_with m17n-lib libotf)"
myconf+=" $(use_with m17n-lib m17n-flt)"
else
myconf+=" --without-xft"
myconf+=" --without-libotf --without-m17n-flt"
use m17n-lib && ewarn \
"USE flag \"m17n-lib\" has no effect if \"xft\" is not set."
fi
local f
if use gtk; then
einfo "Configuring to build with GIMP Toolkit (GTK+)"
myconf+=" --with-x-toolkit=$(usex gtk3 gtk3 gtk2)"
for f in motif Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"gtk\" is set."
done
elif use motif; then
einfo "Configuring to build with Motif toolkit"
myconf+=" --with-x-toolkit=motif"
for f in Xaw3d athena; do
use ${f} && ewarn \
"USE flag \"${f}\" has no effect if \"motif\" is set."
done
elif use athena || use Xaw3d; then
einfo "Configuring to build with Athena/Lucid toolkit"
myconf+=" --with-x-toolkit=lucid $(use_with Xaw3d xaw3d)"
else
einfo "Configuring to build with no toolkit"
myconf+=" --with-x-toolkit=no"
fi
elif use aqua; then
einfo "Configuring to build with Nextstep (Cocoa) support"
myconf+=" --with-ns --disable-ns-self-contained"
myconf+=" --without-x"
else
myconf+=" --without-x --without-ns"
fi
# Save version information in the Emacs binary. It will be available
# in variable "system-configuration-options".
myconf+=" GENTOO_PACKAGE=${CATEGORY}/${PF}"
# According to configure, this option is only used for GNU/Linux
# (x86_64 and s390). For Gentoo Prefix we have to explicitly spell
# out the location because $(get_libdir) does not necessarily return
# something that matches the host OS's libdir naming (e.g. RHEL).
local crtdir=$($(tc-getCC) -print-file-name=crt1.o)
crtdir=${crtdir%/*}
econf \
--program-suffix="-${EMACS_SUFFIX}" \
--program-transform-name="s/^\(emacs\)-[0-9].*-\1/\1/" \
--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
--with-crt-dir="${crtdir}" \
--with-gameuser="${GAMES_USER_DED:-games}" \
--without-compress-info \
$(use_with hesiod) \
$(use_with kerberos) $(use_with kerberos kerberos5) \
$(use_with gpm) \
$(use_with dbus) \
$(use_with gnutls) \
$(use_with libxml2 xml2) \
$(use_with selinux) \
$(use_with wide-int) \
${myconf}
}
src_compile() {
export SANDBOX_ON=0 # for the unbelievers, see Bug #131505
emake
}
src_install () {
emake DESTDIR="${D}" NO_BIN_LINK=t install
# move info dir to avoid collisions with the dir file generated by portage
mv "${ED}"/usr/share/info/${EMACS_SUFFIX}/dir{,.orig} \
|| die "moving info dir failed"
touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
docompress -x /usr/share/info/${EMACS_SUFFIX}/dir.orig
# avoid collision between slots, see bug #169033 e.g.
rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el
rm -rf "${ED}"/usr/share/{applications,icons}
rm -rf "${ED}"/var
# remove unused <version>/site-lisp dir
rm -rf "${ED}"/usr/share/emacs/${FULL_VERSION}/site-lisp
local cdir
if use source; then
cdir="/usr/share/emacs/${FULL_VERSION}/src"
insinto "${cdir}"
# This is not meant to install all the source -- just the
# C source you might find via find-function
doins src/*.{c,h,m}
elif has installsources ${FEATURES}; then
cdir="/usr/src/debug/${CATEGORY}/${PF}/${S#"${WORKDIR}/"}/src"
fi
sed -e "${cdir:+#}/^Y/d" -e "s/^[XY]//" >"${T}/${SITEFILE}" <<-EOF
X
;;; ${PN}-${SLOT} site-lisp configuration
X
(when (string-match "\\\\\`${FULL_VERSION//./\\\\.}\\\\>" emacs-version)
Y (setq find-function-C-source-directory
Y "${EPREFIX}${cdir}")
X (let ((path (getenv "INFOPATH"))
X (dir "${EPREFIX}/usr/share/info/${EMACS_SUFFIX}")
X (re "\\\\\`${EPREFIX}/usr/share/info\\\\>"))
X (and path
X ;; move Emacs Info dir before anything else in /usr/share/info
X (let* ((p (cons nil (split-string path ":" t))) (q p))
X (while (and (cdr q) (not (string-match re (cadr q))))
X (setq q (cdr q)))
X (setcdr q (cons dir (delete dir (cdr q))))
X (setq Info-directory-list (prune-directory-list (cdr p)))))))
EOF
elisp-site-file-install "${T}/${SITEFILE}" || die
dodoc README BUGS
if use aqua; then
dodir /Applications/Gentoo
rm -rf "${ED}"/Applications/Gentoo/Emacs${EMACS_SUFFIX#emacs}.app
mv nextstep/Emacs.app \
"${ED}"/Applications/Gentoo/Emacs${EMACS_SUFFIX#emacs}.app || die
fi
DOC_CONTENTS="You can set the version to be started by /usr/bin/emacs
through the Emacs eselect module, which also redirects man and info
pages. Therefore, several Emacs versions can be installed at the
same time. \"man emacs.eselect\" for details.
\\n\\nIf you upgrade from Emacs version 24.2 or earlier, then it is
strongly recommended that you use app-admin/emacs-updater to rebuild
all byte-compiled elisp files of the installed Emacs packages."
use X && DOC_CONTENTS+="\\n\\nYou need to install some fonts for Emacs.
Installing media-fonts/font-adobe-{75,100}dpi on the X server's
machine would satisfy basic Emacs requirements under X11.
See also https://wiki.gentoo.org/wiki/Project:Emacs/Xft_support
for how to enable anti-aliased fonts."
use aqua && DOC_CONTENTS+="\\n\\nEmacs${EMACS_SUFFIX#emacs}.app is in
\"${EPREFIX}/Applications/Gentoo\". You may want to copy or symlink
it into /Applications by yourself."
readme.gentoo_create_doc
}
pkg_preinst() {
# move Info dir file to correct name
local infodir=/usr/share/info/${EMACS_SUFFIX} f
if [[ -f ${ED}${infodir}/dir.orig ]]; then
mv "${ED}"${infodir}/dir{.orig,} || die "moving info dir failed"
elif [[ -d "${ED}"${infodir} ]]; then
# this should not happen in EAPI 4
ewarn "Regenerating Info directory index in ${infodir} ..."
rm -f "${ED}"${infodir}/dir{,.*}
for f in "${ED}"${infodir}/*; do
if [[ ${f##*/} != *-[0-9]* && -e ${f} ]]; then
install-info --info-dir="${ED}"${infodir} "${f}" \
|| die "install-info failed"
fi
done
fi
}
pkg_postinst() {
elisp-site-regen
local pvr
for pvr in ${REPLACING_VERSIONS}; do
[[ ${pvr%%[-_]*} = 24.[12] ]] && FORCE_PRINT_ELOG=1
done
readme.gentoo_print_elog
if use livecd; then
# force an update of the emacs symlink for the livecd/dvd,
# because some microemacs packages set it with USE=livecd
eselect emacs update
else
eselect emacs update ifunset
fi
}
pkg_postrm() {
elisp-site-regen
eselect emacs update ifunset
}

1
app-forensics/openscap/Manifest

@ -1,2 +1,3 @@
DIST openscap-0.9.12.tar.gz 12777461 SHA256 8af595087fcf8b6a5076e3755b7a838fcaca899b398537c44c0fe3ff20d90cc8 SHA512 e4a2944a5f4b7adb3df98cfa575f3befbf7418b8ba8e4648016b00026ea9a811cb189f50453f6ac99e3d5e0b5993598b019c33d1c363477a5b1d80349ddf6e7b WHIRLPOOL d86cc85d7b03f6ba1245015310fb6d2a4bc7abf14c7475e3dea1f07333b3c6e71654e89ac25ad80d205b70b8bb7034608e2ab2279ea020ee8dc4f94f897315d3
DIST openscap-0.9.4.1.tar.gz 12012752 SHA256 9f80ba69482eb9a5ec0f08491fde3d5963c84441576fa5ede4fcc707d6166059 SHA512 8a91e5249c52a7174e03faa8bf347b6e39cb7330ec9aec5c6413d22b654a964c2f6861bc781e1e358bd62eafbd56562bbe980b18bf472b9645003f17fdc39c99 WHIRLPOOL b4b6beae40d60e8852b9a68ab2421a837d3139c6ea598c7e5b6355690178f1f85d88bece9cfd81d2a09fe177361ddd529d83ba1aced67bc87ad4e19d08cbae98
DIST openscap-0.9.8.tar.gz 12688640 SHA256 977fd8a0196c3dce727b9b166777385565a7c5001ca4ef20bb024d12dcb53af2 SHA512 35a221cde33d3295a0dfb59422aa276a6d307621d45920fa70d6ad056ab84ad94953f060b22c6e0dc0738e2e0694ec66f514c36b8cb178ffd5ca3639ffd8ab94 WHIRLPOOL ec952d10dab5cada7f01cf82224be7858c730a66545c05ad7148c20e2e62f6ac8d5aaaeac67d67038df8a6ab3a0290e1e9c76ee53748e485de0bbd41b5c281fc

1
app-forensics/openscap/metadata.xml

@ -10,6 +10,7 @@
<use>
<flag name="nss">Prefer NSS over libgcrypt as the crypto engine</flag>
<flag name="rpm">Compiles the RPM probes</flag>
<flag name="sce">Enables Script Check Engine (SCE) support</flag>
<flag name="sql">Build the sql independant probes</flag>
</use>
<longdescription lang="en">

122
app-forensics/openscap/openscap-0.9.12.ebuild

@ -0,0 +1,122 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-forensics/openscap/openscap-0.9.12.ebuild,v 1.1 2013/09/19 15:31:32 hwoarang Exp $
EAPI=5
PYTHON_DEPEND="2"
PYTHON_COMPAT=( python{2_5,2_6,2_7} )
inherit bash-completion-r1 eutils multilib python-r1
DESCRIPTION="Framework which enables integration with the Security Content Automation Protocol (SCAP)"
HOMEPAGE="http://www.open-scap.org/"
SRC_URI="https://fedorahosted.org/releases/o/p/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="bash-completion doc ldap nss perl python rpm selinux sce sql test"
RESTRICT="test"
RDEPEND="!nss? ( dev-libs/libgcrypt )
nss? ( dev-libs/nss )
ldap? ( net-nds/openldap )
rpm? ( >=app-arch/rpm-4.9 )
sql? ( dev-db/opendbx )
dev-libs/libpcre
dev-libs/libxml2
dev-libs/libxslt
net-misc/curl"
DEPEND="${RDEPEND}
perl? ( dev-lang/swig )
python? ( dev-lang/swig )
test? (
app-arch/unzip
dev-perl/XML-XPath
net-misc/ipcalc
sys-apps/grep )"
src_prepare() {
# uncoment for debugging test
# sed -i 's,set -e,&;set -x,' tests/API/XCCDF/unittests/test_remediate_simple.sh || die
sed -i 's,^ bash, LC_ALL=C bash,' tests/probes/process/test_probes_process.sh || die
sed -i 's/uname -p/uname -m/' tests/probes/uname/test_probes_uname.xml.sh || die
#probe runlevel for non-centos/redhat/fedora is not implemented
sed -i 's,.*runlevel_test.*,echo "runlevel test bypassed",' tests/mitre/test_mitre.sh || die
sed -i 's,probecheck "runlevel,probecheck "runlevellllll,' tests/probes/runlevel/test_probes_runlevel.sh || die
#According to comment of theses tests, we must modify it. For the moment disable it
sed -i 's,.*linux-def_inetlisteningservers_test,#&,' tests/mitre/test_mitre.sh || die
sed -i 's,.*ind-def_environmentvariable_test,#&,' tests/mitre/test_mitre.sh || die
# theses tests are hardcoded for checking hald process...,
# but no good solution for the moment, disabling them with a fake echo
# because encased in a if then
# sed -i 's,ha.d,/sbin/udevd --daemon,g' tests/mitre/unix-def_process_test.xml || die
# sed -i 's,ha.d,/sbin/udevd --daemon,g' tests/mitre/unix-def_process58_test.xml || die
sed -i 's,.*process_test.*,echo "process test bypassed",' tests/mitre/test_mitre.sh || die
sed -i 's,.*process58_test.*,echo "process58 test bypassed",' tests/mitre/test_mitre.sh || die
#This test fail
sed -i 's,.*generate report: xccdf,#&,' tests/API/XCCDF/unittests/all.sh || die
if ! use rpm ; then
sed -i 's,probe_rpminfo_req_deps_ok=yes,probe_rpminfo_req_deps_ok=no,' configure || die
sed -i 's,probe_rpminfo_opt_deps_ok=yes,probe_rpminfo_opt_deps_ok=no,' configure || die
sed -i 's,probe_rpmverify_req_deps_ok=yes,probe_rpmverify_req_deps_ok=no,' configure || die
sed -i 's,probe_rpmverify_opt_deps_ok=yes,probe_rpmverify_opt_deps_ok=no,' configure || die
sed -i 's,^probe_rpm.*_deps_missing=,&disabled_by_USE_flag,' configure || die
sed -i 's,.*rpm.*,#&,' tests/mitre/test_mitre.sh || die
fi
if ! use selinux ; then
einfo "Disabling SELinux probes"
sed -i 's,.*selinux.*, echo "SELinux test bypassed",' tests/mitre/test_mitre.sh || die
#process58 need selinux
sed -i 's,.*process58,#&,' tests/mitre/test_mitre.sh || die
fi
if ! use ldap; then
einfo "Disabling LDAP probes"
sed -i 's,ldap.h,ldapp.h,g' configure || die
fi
epatch_user
}
src_configure() {
local myconf
if use python ; then
myconf+=" --enable-python"
else
myconf+=" --enable-python=no"
fi
if use perl ; then
myconf+=" --enable-perl"
fi
if use nss ; then
myconf+=" --with-crypto=nss3"
else
myconf+=" --with-crypto=gcrypt"
fi
if use sce ; then
myconf+=" --enable-sce"
else
myconf+=" --enable-sce=no"
fi
econf ${myconf}
}
src_install() {
emake install DESTDIR="${D}" || die
find "${D}" -name '*.la' -delete || die
if use doc ; then
dohtml -r docs/html/* || die
dodoc docs/examples/* || die
fi
if use bash-completion ; then
dobashcomp "${D}"/etc/bash_completion.d/oscap
fi
rm -rf "${D}"/etc/bash_completion.d || die
}

6
app-text/sary/sary-1.2.0-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/sary/sary-1.2.0-r1.ebuild,v 1.13 2013/05/21 19:16:19 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/sary/sary-1.2.0-r1.ebuild,v 1.14 2013/09/19 15:25:23 jer Exp $
EAPI=4
inherit autotools
@ -29,9 +29,9 @@ src_configure() {
}
src_install() {
emake DESTDIR="${D}" \
docsdir="${EPREFIX}"/usr/share/doc/${PF}/html
docsdir="${EPREFIX}"/usr/share/doc/${PF}/html \
install
dodoc AUTHORS ChangeLog NEWS README TODO

83
dev-db/mysql-init-scripts/files/mysqld-prepare-db-dir

@ -1,83 +0,0 @@
#!/bin/sh
# This script creates the mysql data directory during first service start.
# In subsequent starts, it does nothing much.
# extract value of a MySQL option from config files
# Usage: get_mysql_option SECTION VARNAME DEFAULT
# result is returned in $result
# We use my_print_defaults which prints all options from multiple files,
# with the more specific ones later; hence take the last match.
get_mysql_option(){
result=`/usr/bin/my_print_defaults "$1" | sed -n "s/^--$2=//p" | tail -n 1`
if [ -z "$result" ]; then
# not found, use default
result="$3"
fi
}
# Defaults here had better match what mysqld_safe will default to
get_mysql_option mysqld datadir "/var/lib/mysql"
datadir="$result"
get_mysql_option mysqld_safe log-error "/var/log/mysql/mysql.log"
errlogfile="$result"
# Absorb configuration settings from the specified systemd service file,
# or the default "mysqld" service if not specified
SERVICE_NAME="$1"
if [ x"$SERVICE_NAME" = x ]
then
SERVICE_NAME=mysqld.service
fi
myuser=`systemctl show -p User "${SERVICE_NAME}" |
sed 's/^User=//'`
if [ x"$myuser" = x ]
then
myuser=mysql
fi
mygroup=`systemctl show -p Group "${SERVICE_NAME}" |
sed 's/^Group=//'`
if [ x"$mygroup" = x ]
then
mygroup=mysql
fi
# Set up the errlogfile with appropriate permissions
touch "$errlogfile"
chown "$myuser:$mygroup" "$errlogfile"
chmod 0640 "$errlogfile"
[ -x /sbin/restorecon ] && /sbin/restorecon "$errlogfile"
# Make the data directory
if [ ! -d "$datadir/mysql" ] ; then
# First, make sure $datadir is there with correct permissions
# (note: if it's not, and we're not root, this'll fail ...)
if [ ! -e "$datadir" -a ! -h "$datadir" ]
then
mkdir -p "$datadir" || exit 1
fi
chown "$myuser:$mygroup" "$datadir"
chmod 0755 "$datadir"
[ -x /sbin/restorecon ] && /sbin/restorecon "$datadir"
# Now create the database
echo "Initializing MySQL database"
/usr/share/mysql/scripts/mysql_install_db \
--datadir="$datadir" --user="$myuser" --basedir="/usr"
ret=$?
if [ $ret -ne 0 ] ; then
echo "Initialization of MySQL database failed." >&2
echo "Perhaps /etc/mysql/my.cnf is misconfigured." >&2
# Clean up any partially-created database files
if [ ! -e "$datadir/mysql/user.frm" ] ; then
rm -rf "$datadir"/*
fi
exit $ret
fi
# In case we're running as root, make sure files are owned properly
chown -R "$myuser:$mygroup" "$datadir"
fi
exit 0

1
dev-db/mysql-init-scripts/files/mysqld.service

@ -27,7 +27,6 @@ Type=simple
User=mysql
Group=mysql
ExecStartPre=/usr/libexec/mysqld-prepare-db-dir %n
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
ExecStart=/usr/bin/mysqld_safe --basedir=/usr

1
dev-db/mysql-init-scripts/files/mysqld_at.service

@ -27,7 +27,6 @@ Type=simple
User=mysql
Group=mysql
ExecStartPre=/usr/libexec/mysqld-prepare-db-dir %n
# Note: we set --basedir to prevent probes that might trigger SELinux alarms,
# per bug #547485
ExecStart=/usr/bin/mysqld_safe --defaults-file=/etc/mysql/my%I.cnf --basedir=/usr

4
dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r4.ebuild → dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r5.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r4.ebuild,v 1.1 2013/09/03 18:49:48 pacho Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r5.ebuild,v 1.1 2013/09/19 08:46:40 mgorny Exp $
inherit systemd
@ -24,7 +24,7 @@ src_install() {
# systemd unit installation
exeinto /usr/libexec
doexe "${FILESDIR}"/{mysqld-prepare-db-dir,mysqld-wait-ready}
doexe "${FILESDIR}"/mysqld-wait-ready
systemd_dounit "${FILESDIR}/mysqld.service"
systemd_newunit "${FILESDIR}/mysqld_at.service" "mysqld@.service"
systemd_dotmpfilesd "${FILESDIR}/mysql.conf"

11
dev-java/icedtea-web/metadata.xml

@ -2,17 +2,6 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>java</herd>
<herd>proxy-maintainers</herd>
<maintainer>
<email>gnu_andrew@member.fsf.org</email>
<name>Andrew John Hughes</name>
<description>Proxy Maintainer</description>
</maintainer>
<maintainer>
<email>caster@gentoo.org</email>
<name>Vlastimil Babka</name>
<description>Committer (CC me)</description>
</maintainer>
<longdescription>
FOSS Java Web Start and optional browser plugin implementation based on NetX, to be used with icedtea.
</longdescription>

2
dev-java/java-sdk-docs/Manifest

@ -7,4 +7,4 @@ DIST jdk-7u11-apidocs.zip 60762021 SHA256 64f95701ac951af78aa23ca21e965cf430a76a
DIST jdk-7u17-apidocs.zip 60736131 SHA256 dc97bb4e76e288830668a9dae96454d615cf74d6f88f38008923b3248836baba SHA512 668cd818a2893a69b5103a63463584d5c85fe6532e05763dbd7edea7fe7e55d060a36571d2bfb67ae4cbbb6115816d9c86a5b00150b1d07c2a3318eb8c561959 WHIRLPOOL 23be4bfddfda0e7350bd310216491adbcf32cc70c0fff64063496f7e01d671532097093d93eba1dcca45535bd68e1651edab8cb4d527dc80947bb51602a09092
DIST jdk-7u21-apidocs.zip 60738398 SHA256 06afff0fa76987d52c4a083d73cd8f1d9ebc04d3e732f09f8b7275760bf16bef SHA512 5a7cff4e5e64642fe1f3e0971731ef44f408c1bca50216358fce3f96310276d61ce193dd27d705733041d79f3ad2bfab69bc98a76198adbc26a6f4fe06352eee WHIRLPOOL 3bd6dd47078c123eaf9f691d388b6086c7fce7971b141b2cb3e770111136b288068aa03abfdb80eb1e5a895fee09e092271ddbc14b969394ce6cac648d370709
DIST jdk-7u25-apidocs.zip 60766618 SHA256 fe99e1b909a9d877fb30c49732a2dcc0a1cc310517073016489750cf04600377 SHA512 21dbebcee94f9a8125d11959c855f8eabee4e25135370dc6a99e5d60bd56f5847c89cb1e5928de65148651034b69b93493f4d20063010d0450d4ed6db7d771e4 WHIRLPOOL cd9fdf16367fd2b3248a8403cebef5b61d529ea0aea8e67208a4a6e111bdcfc923743fbb4aa624bf59c8d29289897d82b9c08d7de795a328f3ad8e8271e50a48
DIST jdk-7u40-apidocs.zip 60368920 SHA256 481948bed3d7afadac09497bf84cb2510f2607ae18ba6f61bb31e5e038b17291 SHA512 8885fd3ae2e54ba568a37ef0aa2b36e02dd662f5808f6bc9c1c5e3acf4ab3c6786affdec09c8ead2e69ffec2d61d9b661ef0fee5054a5539f391e9eeff179d8c WHIRLPOOL 17235c7d63932da5f38a6eed0b34ea2c7c3a2da39db808ca9c7ddc2679cf7500d90ed13558534108762c2acc8e4226ff31a436363545e724d2697b0535382137
DIST jdk-7u40-apidocs.zip 60408160 SHA256 50d5f39fa2dea1df3ee6df88d13a298a7b82e4054dca3ef967df894a3d6968c9 SHA512 455a60a9c87126a8b0e1e0f11b63a4e58d9b538f0d92eeed705f069ddfb5ab87474bef304e046ac2af19a0b84282ab56dff563f076738623a4a452bc4ca03c71 WHIRLPOOL f82488110ae63f89a3da87c924de3ee22e6f80401ddb2619a6e53e2dc57df706280d575c5f311d6e206c74f1dc7498daccd3bfdc445c52326fb7457ec43f4991

2
dev-java/java-sdk-docs/java-sdk-docs-1.7.0.40.ebuild → dev-java/java-sdk-docs/java-sdk-docs-1.7.0.40-r1.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-java/java-sdk-docs/java-sdk-docs-1.7.0.40.ebuild,v 1.1 2013/09/18 21:00:53 tomwij Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-java/java-sdk-docs/java-sdk-docs-1.7.0.40-r1.ebuild,v 1.1 2013/09/19 12:03:03 tomwij Exp $
EAPI=5

4
dev-python/PyQt4/PyQt4-4.10.3.ebuild

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/PyQt4-4.10.3.ebuild,v 1.2 2013/09/17 19:01:18 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/PyQt4-4.10.3.ebuild,v 1.3 2013/09/19 11:23:03 yngwin Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )
@ -42,7 +42,7 @@ QT_PV="4.8.0:4"
RDEPEND="
${PYTHON_DEPS}
dev-python/python-exec:0[${PYTHON_USEDEP}]
>=dev-python/sip-4.14.3:=[${PYTHON_USEDEP}]
>=dev-python/sip-4.15.0:=[${PYTHON_USEDEP}]
>=dev-qt/qtcore-${QT_PV}
X? (
>=dev-qt/qtgui-${QT_PV}

5
dev-python/irc/Manifest

@ -1,6 +1 @@
DIST irc-8.2.zip 110089 SHA256 9f7f182e789793c6965edf4b4c78341c068c5d46934c850fd2f0880a3d8f87c5 SHA512 5a5329fe7c83c6c77f8122cf434452c2a3525a632f77cbf44731ae00c23213b0b2942635eea5dc8c04e23fb37b8abf1296e037fe150a9c013b273785eb746b21 WHIRLPOOL 512b69c4948453654f593ac4188d348eb8d556fc31ad8e1622ad83d23e0ff001b36539c08c3f94e3aa23fd5d8a7da4fcebf80e701cff7224c6d6acb6901b0884
DIST irc-8.3.1.zip 111480 SHA256 bdfe7595ef0ebdba7b9ff630a85c1f707e9d3e8699323eccc6dbe27042ae6985 SHA512 3f68d19790ca707b9dda4f23e209de413ec6ae028392b52219c4a455127498ca8f16362a8fd8feabab4b25614135f8681df3dc714c2433ce80917e36f0297d4c WHIRLPOOL 99cca47865633dd54ba2176a4a6954f80fb8fd0b3af1085beac547476261593cb0b7a984d9d66d604be012583493b4fd559069169a913f593c8fc14dfa5073db
DIST irc-8.3.zip 110335 SHA256 f58b378f1750a5888c8938436542e7a34a3f2f76d63612b80e2f14c9182bd507 SHA512 19e7161002abab6343b4b62dd5e60a6c2641c8ecd75be076c204a9bf86efa35a2142c4c1e23abd52178d89a0140f6e19b8383d9136bcaf3c92a9403e704f0f4f WHIRLPOOL 66729c25b8e165341da2b2b22f670e4500dc25c19d61c1960ab6df451881bff6a00e9375cc3a02108cbee89edc7e3e5063ed3d33c87480949207868e4baf52fa
DIST irc-8.4.zip 112103 SHA256 4574f596988e9d866f1e38b7219e8f62f5221c9c4ea2e16d3d9c204d70b4732a SHA512 8a58d397fb78189a375332581be2160ec847b06a75c41dda476fe55dd6ec012ec31c7d93cd1f3d879ad785d5e5af0d1c6a2d5cb0f5567bd2a846561b08eecb90 WHIRLPOOL 7bd8c54046c4c8b93347346e62130961ef74f414ac2be798ef300ff50edb5f45eb0c18bb353019a0363a7abcd61e74bae40c98eccc4a745b15364425954824e8
DIST irc-8.5.1.zip 112916 SHA256 ff29edb5c51bbf6583f60f677e846b3eb651374c2f6b39800e4b4947c989b8db SHA512 02f09b4c7dc4036ececc2aff97f761ddbc950dfebae298e95381d706f3b8be65704ad0a64ea9b581b5ce48f2a060beeb8b6ac5179a29844fe8e821502fc0d4a9 WHIRLPOOL e24d1a8155dd79e840aceb085f0a6d6fd0c0cafb356c64604c01555d4a6189e8e8dbc4824f74d58c45731615d24fe1606987b70dacf40375354134d200373d13
DIST irc-8.5.zip 112553 SHA256 5b6d643834046333d97add440ea9009a8873932ad7419ad4c8003bf6a9155c97 SHA512 9f436777dab8add3672a2f1ecd34463703e35d604089c5f464b9a4f84da17c539314e7c0f8a84a53e3edad543c84ac5e761b603604d8e18a9e3c27dfbc6a9afe WHIRLPOOL 0e01710d323cf45b966d660021d883ba506c75db7d0ab50f7638cc8bbd8e2dbc2e71eaffed167919385af95ca47463516f24203be9d2b434c41afb67d9d282ff

11
dev-python/irc/files/irc-8-setup.py.patch

@ -1,11 +0,0 @@
diff -ur irc-8.0.orig/setup.py irc-8.0/setup.py
--- irc-8.0.orig/setup.py 2013-01-12 22:14:36.000000000 +0800
+++ irc-8.0/setup.py 2013-03-09 16:53:15.012847123 +0800
@@ -34,7 +34,6 @@
install_requires=[
] + importlib_req + argparse_req,
setup_requires=[
- 'hgtools',
'pytest-runner',
],
tests_require=[

26
dev-python/irc/files/irc-setup.py.8.0.1.patch → dev-python/irc/files/irc-8.5.1-setup_requires.patch

@ -1,13 +1,13 @@
--- setup.py 2013-03-11 15:04:36.162537614 +0800
+++ setup.py.new 2013-03-11 15:06:48.495867668 +0800
@@ -33,10 +33,6 @@
],
install_requires=[
] + importlib_req + argparse_req,
- setup_requires=[
- 'hgtools',
- 'pytest-runner',
- ],
tests_require=[
'pytest',
'mock',
--- a/setup.py
+++ b/setup.py
@@ -34,10 +33,6 @@
install_requires=[
'six',
] + importlib_req + argparse_req,
- setup_requires=[
- 'hgtools',
- 'pytest-runner',
- ],
tests_require=[
'pytest',
'mock',

13
dev-python/irc/files/irc-setup.py.3.4.2.patch

@ -1,13 +0,0 @@
--- setup.py 2012-10-25 07:13:20.000000000 +0800
+++ setup.py 2012-10-30 14:26:37.433324607 +0800
@@ -29,10 +29,6 @@
],
install_requires=[
] + importlib_req,
- setup_requires=[
- 'hgtools',
- 'pytest-runner',
- ],
tests_require=[
'pytest',
],

12
dev-python/irc/files/irc-setup.py.patch

@ -1,12 +0,0 @@
--- setup.py
+++ setup.py
@@ -23,9 +23,6 @@
"Programming Language :: Python :: 2.7",
"Programming Language :: Python :: 3",
],
- setup_requires=[
- 'hgtools',
- ],
use_2to3=True,
use_2to3_exclude_fixers=[
'lib2to3.fixes.fix_import',

46
dev-python/irc/irc-8.2.ebuild

@ -1,46 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/irc/irc-8.2.ebuild,v 1.1 2013/04/15 07:02:53 patrick Exp $
EAPI="4"
PYTHON_DEPEND="*:2.6"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.5"
inherit distutils eutils
DESCRIPTION="IRC client framework written in Python."
HOMEPAGE="https://bitbucket.org/jaraco/irc http://pypi.python.org/pypi/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
DEPEND="app-arch/unzip
app-text/dos2unix"
RDEPEND="!>=dev-python/python-irclib-3.2.2"
src_prepare() {
# Prevent setup from downloading hgtools package
dos2unix setup.py || die "Oops :("
epatch "${FILESDIR}/irc-setup.py.8.0.1.patch"
# Don't rely on hgtools for version
sed -e "s/use_hg_version=True/version=\"${PV}\"/" -i setup.py || die
sed -e "/^tag_/d" -i setup.cfg || die
distutils_src_prepare
}
src_install() {
distutils_src_install
if use examples; then
docompress -x "/usr/share/doc/${PF}/examples"
insinto "/usr/share/doc/${PF}/examples"
doins scripts/*
fi
}

39
dev-python/irc/irc-8.3-r1.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/irc/irc-8.3-r1.ebuild,v 1.2 2013/09/05 18:46:17 mgorny Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
DESCRIPTION="IRC client framework written in Python."
HOMEPAGE="https://bitbucket.org/jaraco/irc http://pypi.python.org/pypi/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
DEPEND="app-arch/unzip
app-text/dos2unix"
RDEPEND="!>=dev-python/python-irclib-3.2.2[${PYTHON_USEDEP}]"
python_prepare_all() {
# Prevent setup from downloading hgtools package
dos2unix setup.py || die "Oopsie"
epatch "${FILESDIR}/irc-setup.py.8.0.1.patch"
# Don't rely on hgtools for version
sed -e "s/use_hg_version=True/version=\"${PV}\"/" -i setup.py || die
sed -e "/^tag_/d" -i setup.cfg || die
distutils-r1_python_prepare_all
}
python_install_all() {
use examples && local EXAMPLES=( scripts/. )
distutils-r1_python_install_all
}

39
dev-python/irc/irc-8.3.1.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/irc/irc-8.3.1.ebuild,v 1.2 2013/09/05 18:46:18 mgorny Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
DESCRIPTION="IRC client framework written in Python."
HOMEPAGE="https://bitbucket.org/jaraco/irc http://pypi.python.org/pypi/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
DEPEND="app-arch/unzip
app-text/dos2unix"
RDEPEND="!>=dev-python/python-irclib-3.2.2[${PYTHON_USEDEP}]"
python_prepare_all() {
# Prevent setup from downloading hgtools package
dos2unix setup.py || die "Oopsie"
epatch "${FILESDIR}/irc-setup.py.8.0.1.patch"
# Don't rely on hgtools for version
sed -e "s/use_hg_version=True/version=\"${PV}\"/" -i setup.py || die
sed -e "/^tag_/d" -i setup.cfg || die
distutils-r1_python_prepare_all
}
python_install_all() {
use examples && local EXAMPLES=( scripts/. )
distutils-r1_python_install_all
}

46
dev-python/irc/irc-8.3.ebuild

@ -1,46 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/irc/irc-8.3.ebuild,v 1.1 2013/05/02 06:11:45 patrick Exp $
EAPI="4"
PYTHON_DEPEND="*:2.6"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.5"
inherit distutils eutils
DESCRIPTION="IRC client framework written in Python."
HOMEPAGE="https://bitbucket.org/jaraco/irc http://pypi.python.org/pypi/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
DEPEND="app-arch/unzip
app-text/dos2unix"
RDEPEND="!>=dev-python/python-irclib-3.2.2"
src_prepare() {
# Prevent setup from downloading hgtools package
dos2unix setup.py || die "Oops :("
epatch "${FILESDIR}/irc-setup.py.8.0.1.patch"
# Don't rely on hgtools for version
sed -e "s/use_hg_version=True/version=\"${PV}\"/" -i setup.py || die
sed -e "/^tag_/d" -i setup.cfg || die
distutils_src_prepare
}
src_install() {
distutils_src_install
if use examples; then
docompress -x "/usr/share/doc/${PF}/examples"
insinto "/usr/share/doc/${PF}/examples"
doins scripts/*
fi
}

39
dev-python/irc/irc-8.4.ebuild

@ -1,39 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/irc/irc-8.4.ebuild,v 1.2 2013/09/05 18:46:18 mgorny Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
DESCRIPTION="IRC client framework written in Python."
HOMEPAGE="https://bitbucket.org/jaraco/irc http://pypi.python.org/pypi/irc"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples"
DEPEND="app-arch/unzip
app-text/dos2unix"
RDEPEND="!>=dev-python/python-irclib-3.2.2[${PYTHON_USEDEP}]"
python_prepare_all() {